## w3c-markup-validator 1.1

=== debian/changelog ===
w3c-markup-validator (1.1-2) unstable; urgency=low

  * Releasing to unstable 

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 25 Jan 2011 22:42:59 +0000

w3c-markup-validator (1.1-1) experimental; urgency=low

  * New maintainer rebuilt package from first principles (Closes: #573497)
  * Upgraded to upstream version 1.1 (Closes: #461021 and  Closes: #437795)
  * Restricting dependency to apache2 until someone volunteers to do
    integration for other web servers.
  * Changed dependency from w3c-dtd-xhtml and sgml-data to w3c-sgml-lib.
  * Basing apache config fragment on upstream supplied fragment. As a
    consequence of this the home page is http://localhost/w3c-validator/.
    (Closes: #456904).
  * Setting version dependency on libwww-perl after investigating taint issues
  * Replacing W3C placeholder logo with customized Debian logo.
  * Restricting support to http. This is a holding operation for #445265.
  * Reviewed and rewrote README.Debian (Closes: #549025).
  * Adding lintian override over inclusion of mootools convenience library.
  * Simplified install scripts as much as possible, though
    leaving some abstraction in case there is a need to add support for more
    webservers.
  * Removed dependency on wwwconfig-common.
  * Automatically enable mod_include and mod_rewrite before bouncing the
    server (Closes: #477792).
  * The simplified install scripts mean that translation is no longer
    required. In fact the translated text referred to old versions of Apache
    that are no longer part of Debian. (Closes: #551185).

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 21 Aug 2010 18:22:35 +0100

w3c-markup-validator (0.7.4-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add watch file. Closes: #435685
  * Fix pending l10n bugs. Debconf translations:
    - Finnish. Closes: #484548
    - Swedish. Closes: #499341

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2008 20:17:15 +0200

w3c-markup-validator (0.7.4-5.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #425433
    - Galician. Closes: #483201
    - Basque. Closes: #483482
    - Russian. Closes: #484315
  * [Lintian] Convert debian/copyright to UTF-8
  * [Lintian] Remove usr/share/w3c-markup-validator/config/ empty
    directory
  * [Lintian] No longer add an empty /usr/bin directory
  * Turkish. Closes: #484690

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 May 2008 23:16:57 +0200

w3c-markup-validator (0.7.4-5) unstable; urgency=low

  * Remove dependency on w3c-linkchecker now that Etch is released
  * debian/po:
    + updated German po-debconf translation, courtesy of
      Helge Kreutzmann (closes: Bug#411327)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Tue, 15 May 2007 01:53:22 +0200

w3c-markup-validator (0.7.4-4) unstable; urgency=low

  * debian/po:
    + updated Czech po-debconf translation, courtesy of
      Jan Outrata (closes: Bug#408727)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Mon, 12 Feb 2007 19:23:24 +0100

w3c-markup-validator (0.7.4-3) unstable; urgency=low

  * debian/po:
    + updated Dutch po-debconf translation, courtesy of
      Bart Cornelis (closes: Bug#407443)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Mon, 22 Jan 2007 22:31:46 +0100

w3c-markup-validator (0.7.4-2) unstable; urgency=low

  * debian/po:
    + updated Danish po-debconf translation, courtesy of
      Morten Bo Johansen (Closes: Bug#401618)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Mon,  4 Dec 2006 23:41:20 +0100

w3c-markup-validator (0.7.4-1) unstable; urgency=medium

  * New upstream release, a "maintenance release including bug fixes and
    documentation updates" (see whatsnew.html)
  * Requires version >= 0.0.48 of package wwwconfig-common for checking
    errors when restarting the web server (see bug #399115)
  * Check if the script restart.sh from wwwconfig-common returns an
    error when called from postinst or prerm (Closes: Bug# 398638).
  * Urgency medium because this is related to an RC bug (partly solved
    and downgraded to important)
  * Upload sponsored thanks to Anibal Monsalve Salazar

 -- Frederic Schutz <schutz@mathgen.ch>  Sun, 19 Nov 2006 01:36:59 +0100

w3c-markup-validator (0.7.3-1) unstable; urgency=low

  * New upstream release
  * Remove "Suggests: libterm-readkey-perl (>= 2.00)", which applies 
    only to the linkchecker.
  * debian/po:
    + Update of the Japanese po-debconf template, thanks to
      Hideki Yamane (Closes: Bug#393210)
  * Upload sponsored thanks to Jaldhar H. Vyas.	
	
 -- Frederic Schutz <schutz@mathgen.ch>  Sun, 29 Oct 2006 22:17:52 +0100

w3c-markup-validator (0.7.2-3) unstable; urgency=low

  * Remove all files from the w3c-linkchecker, since it is now in its
    own package.
  * Depends on the new w3c-linkchecker package until Debian Etch is
    released, to ensure a smooth transition.
  * debian/po:
    + Update of the French po-debconf template, thanks to Thomas Huriaux
      (Closes: Bug#369296)
    + Update of the Portuguese po-debconf translation, courtesy of Rui
      Branco (Closes: Bug#381200)
  * Update README.Debian and README.config so that they match the recent
    changes in this package (version 0.7.2-1 and beyond).
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Sun, 13 Aug 2006 02:08:07 +0200

w3c-markup-validator (0.7.2-2) unstable; urgency=low

  * Moved debhelper from Build-Depends-Indep to Build-Depends (needed
    for the 'clean' target); thanks to Steve Langasek and the newer
    version of Lintian.
  * Small updates to the debconf template following a Lintian warning
    + French po-debconf translation updated.
    + Italian po-debconf translation updated, thanks to Luca Monducci
      (Closes: Bug#367225)

