=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = $(shell dh_listpackages)
CONFIG_DIR = etc/w3c
CGIBIN_DIR = usr/lib/cgi-bin/$(PACKAGE)
SHARED_DIR = usr/share/$(PACKAGE)
IMAGES_DIR = $(SHARED_DIR)/html/images

%:
	dh $@ 

override_dh_install:
	dh_install httpd/cgi-bin/check            ${CGIBIN_DIR}
	dh_install httpd/cgi-bin/sendfeedback.pl  ${CGIBIN_DIR}
	dh_install htdocs/config/*                ${CONFIG_DIR}
	dh_install share/templates/en_US/*        ${SHARED_DIR}/templates/en_US
	dh_install httpd/conf/httpd.conf          ${CONFIG_DIR}
	dh_install htdocs/*.html                  ${SHARED_DIR}/html
	dh_install htdocs/*.css                   ${SHARED_DIR}/html
	dh_install htdocs/style/*.css             ${SHARED_DIR}/html/style
	dh_install htdocs/dev/tests/*             ${SHARED_DIR}/html/dev/tests
	dh_install htdocs/docs/*                  ${SHARED_DIR}/html/docs
	dh_install htdocs/source/*                ${SHARED_DIR}/html/source
	dh_install debian/logo.png                ${IMAGES_DIR}
	dh_install htdocs/images/info_icons/*.*   ${IMAGES_DIR}/info_icons
	dh_install htdocs/images/valid_icons/*.*  ${IMAGES_DIR}/valid_icons
	dh_install htdocs/images/*.*              ${IMAGES_DIR}/
	dh_install htdocs/scripts/*.js            ${SHARED_DIR}/html/scripts

override_dh_installdocs:
	mkdir -p debian/tmp
	lynx -dump -nolist htdocs/todo.html | iconv -f latin1 > debian/tmp/TODO
	lynx -dump -nolist htdocs/whatsnew.html | iconv -f latin1 > debian/tmp/changelog
	lynx -dump -nolist htdocs/about.html | iconv -f latin1 > debian/tmp/README
	dh_installdocs
