=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
  http://validator.w3.org/dist/validator-(.*)\.tar\.gz
