## w3c-markup-validator 1.2+dfsg

=== debian/changelog ===
w3c-markup-validator (1.2+dfsg-6) unstable; urgency=low

  * Changed to new location of w3c-sgml-lib files

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 14 Apr 2012 13:17:45 +0100

w3c-markup-validator (1.2+dfsg-5) unstable; urgency=low

  * Corrected typo in VCS URL (Closes: #662735)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 07 Mar 2012 20:42:37 +0000

w3c-markup-validator (1.2+dfsg-4) unstable; urgency=low

  * Updated debian/copyright to latest format and corrected copyright,
    especially after a closer reading of notices in
    htdocs/scripts/mootools-1.2.5-core-nc.js
  * Raised standards version to 3.9.3
  * Removed unused lintian override
  * Removed patch restricting protocols to http and
    made an explicit dependency on liblwp-protocol-https (Closes: #445265)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 03 Mar 2012 15:57:12 +0000

w3c-markup-validator (1.2+dfsg-3) unstable; urgency=low

  * Changed Maintainership as the repository is no longer that of
    the Debian XML/SGML group
  * Updated copyright
  * Fixed various broken dependencies including broadening apache2 dependency to
    include httpd-cgi (Closes: #627962). The reason for this
    was that there seems to be no prospect of seeing the debate
    in http://lists.debian.org/debian-devel/2012/01/msg00148.html
    resolved in a satisfactory manner.
  * Updated debhelper version and compat level to 8

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 09 Feb 2012 20:37:22 +0000

w3c-markup-validator (1.2+dfsg-2) unstable; urgency=low

  * Corrected bug number regarding mod_perl disablement in patch.
    Thanks to Jorg Sommer for pointing this out.
  * Patched out versioned dependency on HTML::Template (Closes: 639711)
  * Raised standards version to 3.9.2
  * Added lintian override about apparently phoney duplicate file warning
  * Changed repository to github

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 30 Aug 2011 21:03:25 +0100

w3c-markup-validator (1.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Reviewed and refreshed patches
  * Simplified rules and compressed files as required by upstream
    to support content negotiation (Closes: #618469)
  * Moved test files to the examples directory
  * Reviewed dependencies
  * Disabled mod_perl support (cf. #618416)
  * Refreshed copyright
  * Refreshed lintian overrides
  * Add apache config ensuring directory access (Closes: #608225)
  * Change rules to rebuild htdocs/scripts/combined.js
  * Added Suggests clause and reviewed the long description
  * Added example perl script that uses WebService::Validator::HTML::W3C
  * Removed non-DFSG files (and files that will be rebuilt anyway)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 17 Mar 2011 19:02:11 +0000
