=== debian/control ===
Source: w3c-markup-validator
Section: web
Priority: optional
Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org> 
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: sharutils, perl, lynx, yui-compressor
Standards-Version: 3.9.3
Homepage: http://validator.w3.org/about.html
Vcs-Git: git://github.com/periapt/w3c-markup-validator.git
Vcs-Browser: http://github.com/periapt/w3c-markup-validator/

Package: w3c-markup-validator
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apache2 | httpd-cgi,
 libwww-perl (>= 6), liburi-perl, libhtml-template-perl,
 libhtml-parser-perl (>= 3.60), libtext-iconv-perl, libset-intspan-perl,
 libnet-ip-perl, libconfig-general-perl, w3c-sgml-lib (>= 1.2-2),
 libencode-hanextra-perl, libhtml-encoding-perl, libjson-perl,
 libxml-libxml-perl (>= 1.70), libsgml-parser-opensp-perl,
 liblwp-protocol-https-perl
Recommends: libhtml-tidy-perl, libencode-jis2k-perl
Suggests: libwebservice-validator-html-w3c-perl, libtest-html-w3c-perl,
 libxml-xpath-perl
Description: W3C Markup Validator
 The W3C Markup Validator is a CGI script which lets you enter the URL of a web
 page which will be then checked against a validating SGML parser for
 conformance to official W3C recommendations. Pages can also be uploaded.
 .
 These are the same scripts that are available on the W3C web site, 
 http://validator.w3.org/.
