## w3c-markup-validator 1.3%2Bdfsg

=== debian/changelog ===
w3c-markup-validator (1.3+dfsg-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 22:04:18 +0100

w3c-markup-validator (1.3+dfsg-5) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Petter Reinholdtsen ]
  * Avoid duplication of package name in description.
  * Updated to debhelper level 13.
  * Added d/gbp.conf to enforce the use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Apr 2024 20:25:06 +0200

w3c-markup-validator (1.3+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Switch Build-Depends back to lynx.  (Closes: #880788)
  * Use https:// URLs where possible.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Nov 2017 14:41:21 +0100

w3c-markup-validator (1.3+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Use debhelper compatibility level 9.
  * Put lynx-cur in build-depends, not lynx which is a dummy package.
  * The output of lynx depends on locale setting. Try to be reproducible
    by always using C.UTF-8.

 -- Santiago Vila <sanvila@debian.org>  Wed, 07 Oct 2015 15:55:46 +0200

w3c-markup-validator (1.3+dfsg-2) unstable; urgency=low

  * QA upload:
    - Update maintainer to Debian QA.
    - Drop uploader.
  * Switch Vcs to alioth collab-maint.
  * Update copyright file for lintian:
    - Remove spaces in licence short names.
    - Pack copyright information for mootools-1.2.5-core-nc.js. There can be
      only one license per file.
  * debian/rules: Ask lynx to directly outputs UTF-8, rather than assuming it
    outputs latin1 and then converting it with iconv. (Closes: #738426)
  * Transition to apache 2.4 (Closes: #670973) :
    - Use apache2-maintscript-helper to enable modules and conf files.
    - Also enable cgi module.
    - Remove obsolete file /etc/apache2/conf.d/w3c-markup-validator.conf.
    - Rewrite permission_override.patch for new authentication directives.
    - Update validator_conf_debianize.patch comments for new location.
    - Change Depends:apache|httpd-cgi to Recommends.
    - New no_ap_expr.patch to enable SSI legacy expression parser.
  * Bump policy to 3.9.6: No change required.
  * Refresh lintian overrides.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Thu, 06 Nov 2014 01:02:59 +0100

w3c-markup-validator (1.3+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refreshed and fixed patches
  * Removed patch html-template-ver.patch as it was applied upstream
  * Removed mod_perl_disable.patch as mod_perl issues now resolved upstream
    but add mod_perl.patch to debianize paths (Closes: #618416)
  * Upstream Makefile now generates some resources but had to be debianized
  * Raised standards version to 3.9.4
  * Added config file for license-reconcile and updated debian/copyright
  * Updated debian/watch to repack upstream tarball
  * Aded libhtml-template-perl and libconfig-general-perl as build dependencies

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 17 Mar 2013 10:54:36 +0000
