=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP = ${CURDIR}/debian/${PACKAGE}/
CONFIG_DIR = etc/w3c
CGIBIN_DIR = usr/lib/cgi-bin/$(PACKAGE)
SHARED_DIR = usr/share/$(PACKAGE)
HTML_DIR   = usr/share/$(PACKAGE)/html
IMAGES_DIR = $(SHARED_DIR)/html/images

%:
	dh $@ 

override_dh_auto_test:
	@echo TESTS REQUIRE A NETWORK

override_dh_install:
	dh_install httpd/cgi-bin/check           ${CGIBIN_DIR}
	dh_install httpd/cgi-bin/sendfeedback.pl ${CGIBIN_DIR}
	dh_install httpd/conf/*                  ${CONFIG_DIR}
	dh_install httpd/mod_perl/*              ${SHARED_DIR}/mod_perl
	dh_install htdocs/config/*               ${CONFIG_DIR}
	dh_install share/templates/en_US/*       ${SHARED_DIR}/templates/en_US
	dh_install -Xconfig -Xtest htdocs/*      ${HTML_DIR}
	dh_install debian/logo.png               ${IMAGES_DIR}

override_dh_installdocs:
	mkdir -p debian/tmp
	lynx -dump -nolist htdocs/todo.html | iconv -f latin1 > debian/tmp/TODO
	lynx -dump -nolist htdocs/whatsnew.html | iconv -f latin1 > debian/tmp/changelog
	lynx -dump -nolist htdocs/about.html | iconv -f latin1 > debian/tmp/README
	dh_installdocs
